Package org.jmock.core.constraint

# Class StringStartsWith

java.lang.Object
org.jmock.core.constraint.SubstringConstraint
org.jmock.core.constraint.StringStartsWith

All Implemented Interfaces:
  `Constraint`, `SelfDescribing`

public class StringStartsWith extends SubstringConstraint
Tests if the argument is a string that contains a substring.

## Field Summary

### Fields inherited from class org.jmock.core.constraint.SubstringConstraint

`substring`

## Constructor Summary

Constructors
Constructor
Description
`StringStartsWith(String substring)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`evalSubstringOf(String s)`
`protected String`
`relationship()`

### Methods inherited from class org.jmock.core.constraint.SubstringConstraint

`describeTo, eval`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringStartsWith

public StringStartsWith(String substring)

## Method Details

### evalSubstringOf

protected boolean evalSubstringOf(String s)

Specified by:
  `evalSubstringOf` in class `SubstringConstraint`

### relationship

protected String relationship()

Specified by:
  `relationship` in class `SubstringConstraint`